Plesk nu ook beschikbaar voor Debian 11

Het controlepaneel Plesk heeft sinds versie Obsidian 18.0.42 ook ondersteuning voor Debian 11. Wat zijn de limitaties en hoe kan je upgraden?

Plesk nu ook beschikbaar voor Debian 11

Debian 11 kwam in augustus 2021 beschikbaar. De Plesk ontwikkelaars hebben dus wel enige tijd nodig gehad om Plesk op de nieuwste Debian telg te laten draaien, maar desalniettemin zijn we zeer tevreden dat we nu ook Plesk op Debian 11 kunnen aanbieden.

Enkele limitaties

Momenteel zijn er nog enkele limitaties waar we rekening mee moeten houden. Deze componenten zijn - nog - niet beschikbaar:

  • WatchDog
  • ModSecurity Atomic ruleset
  • Mailman
  • Webalizer
  • PHP 7.1, 7.2 en 7.3 zijn niet meer beschikbaar

Oplossingen voor deze limitaties

De ontwikkeling van WatchDog loopt wat achter, vandaar dat dit nog niet beschikbaar is voor Debian 11 en Ubuntu 20.04. Maar qua monitoring zit je wel goed me het ingebouwde Grafana. Heb je meerdere servers of host je erg belangrijke diensten? Dan raden we aan om ook te kijken naar een externe monitoring zoals Zabbix.

De Atomic ruleset is een veel gebruikte Web Application Firewall. Wij gebruiken steeds Imunify360, maar zij ondersteunen Debian 11 nog niet (een ETA was er op het moment van schrijven ook niet). We raden aan om voorlopig de Comodo ruleset te gebruiken voor een basisbescherming in afwachting van ondersteuning voor Atomic of Imunify360.

We raden nooit aan om nieuwsbrieven vanaf je eigen Plesk server te sturen met Mailmain. Je IP-adres kan al vlug aanzien worden als een spam server en toegevoegd worden op spamlijsten; waardoor je waardevolle e-mails in de spambox van je abonnees terecht komen. We raden aan om een professionele e-mail dienst zoals Mailchimp of Mailgun te bekijken als je nieuwsbrieven wilt versturen.

In plaats van Webalizer kan je wel nog gebruik maken van AWStats. Maar in plaats van daarvan kan je ook een externe  web analytics tool gebruiken. Wellicht denk je dan direct aan Google AnalyticWebalizers, maar overweeg zeker ook eens het privacy-vriendelijke Plausible. Plausible is open source en kan je op een eigen server installeren of je kan het als SaaS onder een abonnementsvorm afnemen.

Update je Plesk server van Debian 10 naar Debian 11

Een door Nexxwave beheerde cloud server

Heb je een door ons beheerde cloud server met Plesk? Dan contacteren wij je in de loop van Q2 2022 om een upgrade in te plannen. Wij nemen deze upgrade voor onze rekening.

Je eigen server updaten

Heb je een eigen beheerde Debian 10 server met Plesk wat je wilt upgraden naar Debian 11? Volg dan deze door Plesk uitgeschreven stappen. Heb je hierbij hulp nodig, contacteer ons dan gerust.